# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc查询条件验证_补货设置,31,31-28,sit,bs
主数据平台:后台运营系统获取补货单设置信息接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
import random
import requests
import json

module = "cmdc_31st"

# 第一步登录后台运营系统获取token
username = commonFuc().get_business_data(module, "username4")
password = commonFuc().get_business_data(module, "password4")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers", cmdc_access_token)


# 此函数用于当x为none时，进行空字符串替换
def func(x):
    if x is None:
        x = ""
        return x
    else:
        return x


# 第二步获取补货单设置信息
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url15")
request_body = commonFuc().get_business_data(module, "payload15")
# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)
# print(result)
# 生成随机数
set_random = random.randint(0, len(result["data"]["list"]) - 1)
# 获取补货设置信息
product_name = func(result["data"]["list"][set_random]["productCode"])
product_line_code = func(result["data"]["list"][set_random]["productLineCode"])
supplier_name = func(result["data"]["list"][set_random]["supplierName"])
pac_no = func(result["data"]["list"][set_random]["pacNo"])
specifications = func(result["data"]["list"][set_random]["specifications"])
manufacturer = func(result["data"]["list"][set_random]["manufacturer"])
customer_name = func(result["data"]["list"][set_random]["customerName"])
project_name = func(result["data"]["list"][set_random]["projectName"])
material_code = func(result["data"]["list"][set_random]["materialCode"])
creator_name = result["data"]["list"][set_random]["creatorName"]

# 第三步进行查询条件验证
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url16")
request_body = commonFuc().get_business_data(module, "payload16", product_name, product_line_code, supplier_name,
                                             pac_no,
                                             specifications, manufacturer, customer_name, project_name, material_code,
                                             creator_name)
# print(request_body)
"""

 场景: 查询条件验证_补货设置
 用例名称：查询条件验证_补货设置
 输出：{"productName":"%s"}
"""

# 发送请求
result = requests.post(url, json=request_body, headers=headers)
# 获取接口响应时间
api_time = float(result.elapsed.total_seconds())

# 获取查询结果中补货设置信息
result = json.loads(result.content)
# print(result)
result = {"productName": result["data"]["list"][0]["productCode"]}
# 将接口响应时间添加至result
result["api_time"] = api_time

# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict16", product_name)
# print(check_dict)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)
