# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc库存客户清单导入模板下载验证,33,33-38,sit,be
主数据平台:后台运营系统库存客户清单导入模板下载接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
import requests
import os

module = "cmdc_33st"

# 第一步登录后台运营系统获取token
username = commonFuc().get_business_data(module, "username_do_be")
password = commonFuc().get_business_data(module, "password_do_be")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers", cmdc_access_token)

# 第二步进行库存客户清单导入模板下载
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url38")
"""

 场景: 库存客户清单导入模板下载验证
 用例名称：库存客户清单导入模板下载验证
 输出：{"message":"模板下载成功"}
"""

# 发送请求
result = requests.get(url, headers=headers)
# 获取接口响应时间
api_time = float(result.elapsed.total_seconds())

# 获取文件
BASE_DIR = os.path.dirname(os.path.dirname(os.path.dirname(os.path.dirname(os.path.abspath(__file__)))))
file_path = BASE_DIR + "/data/cmdc_files/库存客户清单导入模板.xlsx"

# 获取到导出文件存入cmdc_files文件中
with open(file_path, 'wb') as f:
    f.write(result.content)

if os.path.exists(file_path):
    result = {"message": "模板下载成功"}
    # 将接口响应时间添加至result
    result["api_time"] = api_time
    # 获取预期结果
    check_dict = commonFuc().get_business_data(module, "checkDict8")
    # print(check_dict)
    # 断言实际结果中是否包含预期结果的内容
    commonFuc().check_result(check_dict, result)

