# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc控销核验_套包批量新增,33,33-55,sit,be
主数据平台:后台运营系统套包更新接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
from common.db.db import mySql
import requests
import json
import os

module = "cmdc_33st"

# 第一步登录后台运营系统获取token
username = commonFuc().get_business_data(module, "username_do_be")
password = commonFuc().get_business_data(module, "password_do_be")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers_file", cmdc_access_token)

# 数据库操作
mysql_handle = mySql()
# 获取conf.ini文件中配置的数据库信息
host, port, user, pwd = mysql_handle.getConf(db="cmdc_db_be")

# 修改商品控销属性
sql = "UPDATE `cmdc-product`.ic_product t SET t.isControlSales = 1 WHERE t.productCode  = 10145856"
mysql_handle.executeUpdate(host, port, user, pwd, "cmdc-product", sql)

# 获取文件
BASE_DIR = os.path.dirname(os.path.dirname(os.path.dirname(os.path.dirname(os.path.abspath(__file__)))))
file_path = BASE_DIR + "/data/cmdc_files/套包商品批量维护模板_控销验证.xlsx"

# 第二步批量新增套包
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url55")

request_body = commonFuc().get_business_data(module, "payload55")

# 获取文件
file = open(file_path, "rb")
files = {"file": file}
"""

 场景: 控销核验_套包批量新增
 用例名称：控销核验_套包批量新增
 输出：{"success":false}
"""

# 发送请求
result = requests.post(url, files=files, headers=headers, data=request_body)
# 获取接口响应时间
api_time = float(result.elapsed.total_seconds())

# 获取导入结果
result = json.loads(result.content)
# print(result)
result = {"success": result["data"]["success"]}

# 将接口响应时间添加至result
result["api_time"] = api_time

# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict55")
# print(check_dict)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)

# 进行数据的还原
sql = "UPDATE `cmdc-product`.ic_product t SET t.isControlSales = 0 WHERE t.productCode  = 10145856"
mysql_handle.executeUpdate(host, port, user, pwd, "cmdc-product", sql)

