# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc专区编辑更新功能验证,2299,2299-5,sit,bs
主数据平台:后台运营系统专区编辑接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
import requests
import json

module = "cmdc_area"

# 第一步登录后台运营系统获取token
username = commonFuc().get_business_data(module, "username2")
password = commonFuc().get_business_data(module, "password2")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers", cmdc_access_token)

# 第二步获取专区管理列表
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url_area")
request_body = commonFuc().get_business_data(module, "payload_area")
# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)

# 获取专区信息
terminalType = result["data"]["list"][0]["terminalType"]
title = result["data"]["list"][0]["title"]
description = result["data"]["list"][0]["description"]
topMapUrl = result["data"]["list"][0]["topMapUrl"]
areaId = result["data"]["list"][0]["areaId"]

# 第三步获取专区信息
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url3")
request_body = commonFuc().get_business_data(module, "payload3", areaId)
# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)

# 获取专区中商品信息
productId = result["data"]["areaProductList"][0]["productId"]
productName = result["data"]["areaProductList"][0]["productName"]
productCode = result["data"]["areaProductList"][0]["productCode"]
specifications = result["data"]["areaProductList"][0]["specs"]
manufacturer = result["data"]["areaProductList"][0]["supplierCompanyName"]

# 第四步专区信息编辑更新操作
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url5")
request_body = commonFuc().get_business_data(module, "payload5", terminalType, title, description, areaId, productId,
                                             productName,
                                             productCode, specifications, manufacturer, topMapUrl, areaId)

"""

 场景: 专区编辑更新功能验证
 用例名称：专区编辑更新功能验证
 输出：{"success":true,"code":"200","message":"操作成功","data":null,"freshToken":null}
"""

# 发送请求
result = requests.post(url, json=request_body, headers=headers)
# 获取接口响应时间
api_time = float(result.elapsed.total_seconds())

# 将接口响应时间添加至result
result = json.loads(result.content)
result["api_time"] = api_time

# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict5")
# print(check_dict)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)
