# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc获取重点商品列表,2300,2300-19,sit,be
主数据平台:后台运营系统获取重点商品列表接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
from common.db.db import mySql
import requests
import json

module = "cmdc_ls"

# 第一步登录后台运营系统获取token
username = commonFuc().get_business_data(module, "username_do_be")
password = commonFuc().get_business_data(module, "password_do_be")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers", cmdc_access_token)

# 第二步获取重点商品列表
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url19")
request_body = commonFuc().get_business_data(module, "payload19")
# print(request_body)
"""

 场景: 获取重点商品列表
 用例名称：获取重点商品列表
 输出：{"total":"%s"}
"""

# 发送请求
result = requests.get(url, params=request_body, headers=headers)
# 获取接口响应时间
api_time = float(result.elapsed.total_seconds())

# 获取产品线信息
result = json.loads(result.content)
# print(result)
result = {"total": len(result["data"])}
# 将接口响应时间添加至result
result["api_time"] = api_time

# 数据库操作
mysql_handle = mySql()
# 获取conf.ini文件中配置的数据库信息
host, port, user, pwd = mysql_handle.getConf(db="cmdc_db_be")

# 查询数据库中重点商品数量
sql = "SELECT t.id FROM `cmdc-cms`.cms_statistic_goods t  " \
      "WHERE companyCode = 00102 group by keynoteSpec"
total = len(mysql_handle.selectSql(host, port, user, pwd, "cmdc-cms", sql))

# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict19", total)
# print(check_dict)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)
