# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc销售任务编辑功能验证,2295,2295-68,sit,bs
主数据平台:后台运营系统销售任务编辑接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
import requests
import json

module = "cmdc_order_list"

# 第一步登录后台运营系统获取token
username = commonFuc().get_business_data(module, "username2")
password = commonFuc().get_business_data(module, "password2")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers", cmdc_access_token)

# 第二步获取销售任务下发列表
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url68_1")
request_body = commonFuc().get_business_data(module, "payload68_1")
# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)

# 获取销售任务信息
task_json = result["data"]["list"][0]
# 删除多余字段便于对销售任务进行更新操作
task_json.pop("filialeCode")
task_json.pop("filialeName")
task_json.pop("taskCycle")
task_json.pop("taskDescription")
task_json.pop("useSign")
task_json.pop("deleteSign")
task_json.pop("createTime")
task_json.pop("updateTime")

# 第三步进行销售任务编辑更新操作
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url68")
request_body = task_json

"""
 场景: 销售任务编辑功能验证
 用例名称：销售任务编辑功能验证
 输出：{"success":true,"code":"200","message":"OK","data":"success","freshToken":null}
"""

# 发送请求
result = requests.post(url, json=request_body, headers=headers)
# 获取接口响应时间
api_time = float(result.elapsed.total_seconds())

# 将接口响应时间添加至结果中
result = json.loads(result.content)
# print(result)
result["api_time"] = api_time

# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict68")
# print(check_dict)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)
