# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc核验站点是否具有二次审核权限,2295,2295-101,sit,bs
主数据平台:后台运营系统核验站点是否具有二次审核权限接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
from common.db.db import mySql
import requests
import json

module = "cmdc_order_list"

# 第一步登录后台运营系统获取token
username = commonFuc().get_business_data(module, "username2")
password = commonFuc().get_business_data(module, "password2")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers", cmdc_access_token)

# 第二步核验站点是否具有二次审核权限
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url101")
request_body = commonFuc().get_business_data(module, "payload101")
# print(request_body)
"""

 场景: 核验站点是否具有二次审核权限
 用例名称：核验站点是否具有二次审核权限
 输出：{"secondAuditSign":"%s"}
"""

# 发送请求
result = requests.get(url, params=request_body, headers=headers)
# 获取接口响应时间
api_time = float(result.elapsed.total_seconds())

# 获取站点是否具备二次审核权限
result = json.loads(result.content)
# print(result)
result = {"secondAuditSign": result["data"]}

# 将接口响应时间添加至result
result["api_time"] = api_time

# 数据库操作
mysql_handle = mySql()
# 获取conf.ini文件中配置的数据库信息
host, port, user, pwd = mysql_handle.getConf(db="cmdc_db")

# 查询数据库中对应站点是否具备二次审核权限
sql = "SELECT t.secondAuditSign FROM `cmdc-cms`.cms_website t WHERE companyId = 7"
second_audit_sign = mysql_handle.selectSql(host, port, user, pwd, "cmdc-cms", sql)[0][0]

# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict101", second_audit_sign)
# print(check_dict)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)

