# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc按条件删除协议价验证,2293,2293-060,sit,bs
涉及到接口:运营后台管理系统按条件删除协议价接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
import requests
import json
import os

module = "cmdc_product"

# 获取登录所需账号密码
username = commonFuc().get_business_data(module, "username2")
password = commonFuc().get_business_data(module, "password2")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers_file", cmdc_access_token)

# 获取文件地址
BASE_DIR = os.path.dirname(os.path.dirname(os.path.dirname(os.path.dirname(os.path.abspath(__file__)))))
file_path = BASE_DIR + "/data/cmdc_files/雅培维护价格批量删除模板.xlsx"

# 进行文件上传操作
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url56")

# 获取文件
file = open(file_path, "rb")
files = {"file": file}

# 发送请求
result = requests.post(url, files=files, headers=headers)
result = json.loads(result.content)
# print(result)
# 上传成功后获取对应的id，用于后续确认删除操作
if result["data"]["yapeiPrices"]:
    id = result["data"]["yapeiPrices"][0]["id"]
    # 确认删除操作
    url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url56_1")
    request_body = {"ids": [id]}

    """
     场景: 按条件删除协议价验证
     用例名称：按条件删除协议价验证
     输出：{"success":true,"code":"200","message":"OK","data":true,"freshToken":null}
    """

    # 发送请求
    result = requests.post(url, json=request_body, headers=headers)
    # 获取接口响应时间
    api_time = float(result.elapsed.total_seconds())
    result = json.loads(result.content)
    result["api_time"] = api_time

    # 获取预期结果
    check_dict = commonFuc().get_business_data(module, "checkDict56")
    # print(check_dict)
    # 断言实际结果中是否包含预期结果的内容
    commonFuc().check_result(check_dict, result)
else:
    # 获取预期结果
    check_dict = commonFuc().get_business_data(module, "checkDict56_1")
    # print(check_dict)
    # 断言实际结果中是否包含预期结果的内容
    commonFuc().check_result(check_dict, result)
file.close()