# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc查询条件验证_制单员列表,2293,2293-081,sit,bs
主数据平台:运营后台管理系统获取制单员或者业务员列表接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
import requests
import random
import json

module = "cmdc_product"

# 获取登录所需账号密码
username = commonFuc().get_business_data(module, "username2")
password = commonFuc().get_business_data(module, "password2")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers", cmdc_access_token)

# 获取制单员或者业务员列表
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url70")
request_body = commonFuc().get_business_data(module, "payload70")
# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)
# print(result)
# 生成随机数
marker_random = random.randint(1, len(result["data"]) - 1)
# 获取制单员或者业务员信息
real_name = result["data"][marker_random]["realName"]

# 进行查询条件验证
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url75")
request_body = commonFuc().get_business_data(module, "payload75", real_name)
# print(request_body)
"""

 场景: 验证制单员或者业务员列表查询条件
 用例名称：查询条件验证_制单员列表
 输出：{"realName":"%s"}
"""

# 发送请求
result = requests.post(url, json=request_body, headers=headers)
# 获取接口响应时间
api_time = float(result.elapsed.total_seconds())
result = json.loads(result.content)
# print(result)
if result["data"]["list"]:
    # 获取制单员列表数量
    result = {"realName": result["data"]["list"][0]["realName"]}
    result["api_time"] = api_time
    # 获取预期结果
    check_dict = commonFuc().get_business_data(module, "checkDict75", real_name)
    # print(check_dict)
    # 断言实际结果中是否包含预期结果的内容
    commonFuc().check_result(check_dict, result)
else:
    # 获取制单员列表数量
    result = {"realName": result["data"]["list"]}
    result["api_time"] = api_time
    # 获取预期结果
    check_dict = commonFuc().get_business_data(module, "checkDict75_1")
    # print(check_dict)
    # 断言实际结果中是否包含预期结果的内容
    commonFuc().check_result(check_dict, result)
