# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc获取产品线制单员列表,2293,2293-080,sit,bs
主数据平台:运营后台管理系统获取产品线制单员列表接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
from common.db.db import mySql
import requests
import random
import json

module = "cmdc_product"

# 第一步登录
# 获取登录所需账号密码
username = commonFuc().get_business_data(module, "username2")
password = commonFuc().get_business_data(module, "password2")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers", cmdc_access_token)

# 第二步获取产品线列表
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url71")
request_body = commonFuc().get_business_data(module, "payload74_1")

# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)
# print(result)

# 生成随机数
marker_random = random.randint(0, len(result["data"]["list"]) - 1)
# 获取产品线信息
product_line_code = result["data"]["list"][marker_random]["productLineCode"]
# print(product_line_code)
# 获取产品线制单员列表
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url74")
request_body = commonFuc().get_business_data(module, "payload74", product_line_code)

"""

 场景: 验证获取产品线制单员列表接口连通性
 用例名称：获取产品线制单员列表
 输出：{"total":"%s"}
"""

# 发送请求
result = requests.post(url, json=request_body, headers=headers)
# 获取接口响应时间
api_time = float(result.elapsed.total_seconds())
result = json.loads(result.content)
# print(result)
# 获取制单员数量
result = {"total": result["data"]["total"]}
result["api_time"] = api_time

# 数据库操作
mysql_handle = mySql()
# 获取conf.ini文件中配置的数据库信息
host, port, user, pwd = mysql_handle.getConf(db="cmdc_db")

# 查询数据库中产品线对应制单员数量
sql = "SELECT count(t.id)  FROM `cmdc-product`.ic_marker_member t  " \
      "WHERE userId = 114378 and productLineCode = '{}'".format(product_line_code)
total = mysql_handle.selectSql(host, port, user, pwd, "cmdc-product", sql)[0][0]

# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict74", total)
# print(check_dict)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)
